rte_l2tpv2_msg_without_ns_nr(3)

NAME
rte_l2tpv2_msg_without_ns_nr

SYNOPSIS

#include <rte_l2tpv2.h>

  Data Fields

rte_be16_t length
rte_be16_t tunnel_id
rte_be16_t session_id
rte_be16_t offset_size
uint8_t * offset_padding

Detailed Description

L2TPv2 message Header contains all options except ns_nr(length, offset size, offset padding). Ns and Nr MUST be together.

Definition at line 156 of file rte_l2tpv2.h.

Field Documentation

  rte_be16_t length
length(16)

Definition at line 157 of file rte_l2tpv2.h.

  rte_be16_t tunnel_id
tunnel ID(16)

Definition at line 158 of file rte_l2tpv2.h.

  rte_be16_t session_id
session ID(16)

Definition at line 159 of file rte_l2tpv2.h.

  rte_be16_t offset_size
offset size(16)

Definition at line 160 of file rte_l2tpv2.h.

  uint8_t* offset_padding
offset padding(variable length)

Definition at line 161 of file rte_l2tpv2.h.

Author

Generated automatically by Doxygen for DPDK from the source code.